Update Expiration Time for a Shared User

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /updateSharedTime/dataflows/{dataflowId}/entity/{entityId}/expiredTime/{expiredTime}

Remove a shared User out from a Dataflow by the owner

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • entityId string Required

    id of the shared User

  • expiredTime string Required

    new expiration Time (in hours). Leave it blank for no expiration Time

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • expired_time string

      expiration Date

PUT /updateSharedTime/dataflows/{dataflowId}/entity/{entityId}/expiredTime/{expiredTime}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/updateSharedTime/dataflows/{dataflowId}/entity/{entityId}/expiredTime/{expiredTime}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "expiredTime": ""
}